io.vertx.ext.shell

## Interface ShellService

-     public interface ShellService

  The shell service, provides a remotely accessible shell available via Telnet or SSH according to the `ShellServiceOptions` configuration.

  The shell service will expose commands using `CommandResolver` on the classpath and the shared command registry for the Vert.x instance.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShellService` | `create(Vertx vertx)` Like `create(Vertx, ShellServiceOptions)`, with default options.
    `static ShellService` | `create(Vertx vertx, ShellServiceOptions options)` Create a new shell service.
    `ShellServer` | `server()`
    `default void` | `start()` Start the shell service, this is an asynchronous start.
    `void` | `start(Handler<AsyncResult<Void>> startHandler)` Start the shell service, this is an asynchronous start.
    `default void` | `stop()` Stop the shell service, this is an asynchronous stop.
    `void` | `stop(Handler<AsyncResult<Void>> stopHandler)` Stop the shell service, this is an asynchronous start.

- - ### Method Detail

    - #### create

          static ShellService create(Vertx vertx)

      Like `create(Vertx, ShellServiceOptions)`, with default options.

    - #### create

          static ShellService create(Vertx vertx,
                                     ShellServiceOptions options)

      Create a new shell service.
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the service config options
      Returns:
        the shell service

    - #### start

          default void start()

      Start the shell service, this is an asynchronous start.

    - #### start

          void start(Handler<AsyncResult<Void>> startHandler)

      Start the shell service, this is an asynchronous start.
      Parameters:
        `startHandler` - handler for getting notified when service is started

    - #### server

          ShellServer server()

      Returns:
        the shell server

    - #### stop

          default void stop()

      Stop the shell service, this is an asynchronous stop.

    - #### stop

          void stop(Handler<AsyncResult<Void>> stopHandler)

      Stop the shell service, this is an asynchronous start.
      Parameters:
        `stopHandler` - handler for getting notified when service is stopped

Copyright © 2019 Eclipse. All rights reserved.